import java.awt.Shape;
import java.awt.geom.GeneralPath;
import java.util.ArrayList;


/**
 * Eine Konferenzraum-Tischgruppe, die manipuliert werden kann und sich selbst auf einer Leinwand zeichnet.
 * 
 * @author Claus Albowski
 * @version (20.05.07)
 */
public class KoRaTischgruppe extends Moebel
{
  ArrayList<Moebel> moebelListe;

  /**
   * Erzeuge eine neue Tischgruppe mit einer Standardfarbe an einer
   * Standardposition.
   * anzahl ist die Zahl der Tische, die an die Laengsseite passen.
   */
    public KoRaTischgruppe(int anzahl)
  {
    xPosition = 20;
    yPosition = 0;
    orientierung = 0;
    farbe = "blau";
    istSichtbar = false;
    if (anzahl<1) anzahl=1;
    if (anzahl>5) anzahl=5;
    int normmass=50;
    moebelListe = new ArrayList<Moebel>();
    moebelListe.add(new KonferenzraumTisch(normmass, normmass, farbe, orientierung+180, normmass, normmass));
    for (int i=0;i<anzahl;i++){
        if (even(i)) {
            moebelListe.add(new KonferenzraumTisch(0, (2*i+2)*normmass, farbe, orientierung+90, normmass, normmass));
            moebelListe.add(new KonferenzraumTisch(2*normmass, (2*i+2)*normmass, farbe, orientierung+270, normmass, normmass));
        }
        else {
            moebelListe.add(new KonferenzraumTisch(0, (2*i+2)*normmass, farbe, orientierung+270, normmass, normmass));
            moebelListe.add(new KonferenzraumTisch(2*normmass, (2*i+2)*normmass, farbe, orientierung+90, normmass, normmass));
        }
    }
    breite=(int)gibAktuelleFigur().getBounds2D().getWidth();
    tiefe=(int)gibAktuelleFigur().getBounds2D().getHeight();
  }
  
  /**
   * Hilfsfunktion
   */
  private boolean even(int i){return ((i % 2)==0);}
//        tisch5 = new KonferenzraumTisch(220+50, 20+50, "blau", 180, 50, 50);
//        tisch6 = new KonferenzraumTisch(220+100, 20+100, "blau", 270, 50, 50);
//        tisch7 = new KonferenzraumTisch(220 , 20+100, "blau", 90, 50, 50);
//        tisch8 = new KonferenzraumTisch(220+100 , 20+200, "blau", 90, 50, 50);
//        tisch9 = new KonferenzraumTisch(220 , 20+200, "blau", 270, 50, 50);
  
  /**
   * Berechnet das zu zeichnende Shape anhand der gegebenen Daten
   */
  protected Shape gibAktuelleFigur()
  {
      GeneralPath tischgruppe = new GeneralPath();
      for (int i=0;i<moebelListe.size();i++){
        tischgruppe.append((moebelListe.get(i)).gibAktuelleFigur(), false);
      }
      return  transformiere(tischgruppe);
  }
  
}
