import java.awt.Shape;
import java.awt.geom.GeneralPath;
import java.awt.geom.Line2D;

/**
 * Ein ParaTisch , also ein Tisch mit einem Parallelogramm-Grundriss.
 * @author  claus albowski
 */
public class KonferenzraumTisch extends Moebel
{

  /**
   * Erzeuge einen neuen KonferenzraumTisch mit Standardwerten.
   */
    public KonferenzraumTisch()
  {
    xPosition = 50;yPosition = 50;farbe = "rot";orientierung = 0;
    istSichtbar = false;breite = 80;tiefe  = 50;
  }

   /**
   * Erzeuge einen neuen KonferenzraumTisch.
   */
    public KonferenzraumTisch(int x, int y, String f, int o, int b, int t)
  {
    xPosition = x;
    yPosition = y;
    farbe = f;
    orientierung = o;
    istSichtbar = false;
    breite = b;
    tiefe  = t;
  }
  
  /**
   * Berechnet das zu zeichnende Shape anhand der gegebenen Daten
   */
  protected Shape gibAktuelleFigur()
  {
      GeneralPath konferenzraumTisch = new GeneralPath();
      Line2D linie1 = new Line2D.Double(0, 0, breite, 0);
      Line2D linie2 = new Line2D.Double(breite, 0, breite+tiefe, tiefe);
      Line2D linie3 = new Line2D.Double(breite+tiefe, tiefe, -tiefe, tiefe);
      Line2D linie4 = new Line2D.Double(-tiefe, tiefe, 0, 0);
      konferenzraumTisch.append(linie1, false);
      konferenzraumTisch.append(linie2, false);
      konferenzraumTisch.append(linie3, false);
      konferenzraumTisch.append(linie4, false);
      return  transformiere(konferenzraumTisch);
  }
 
}
